golang-1.6 (1.6-0ubuntu5) xenial; urgency=medium

  * Fix GOVER calculation in debian/rules to only pull out MAJOR.MINOR.
  * Two patches backported from upstream tip:
    - d/patches/0002-maxcpus-fix.patch (LP: #1565978)
    - d/patches/0003-crypto-dsa-eliminate-invalid-PublicKey-early.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Apr 2016 13:54:12 +1200

golang-1.6 (1.6-0ubuntu4) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM, making syscall types
    match those that will be in Go 1.7.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Apr 2016 15:47:35 +1200

golang-1.6 (1.6-0ubuntu3) xenial; urgency=medium

  * Fix broken symlinks in golang-X.Y-doc.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 30 Mar 2016 14:04:04 +1300

golang-1.6 (1.6-0ubuntu2) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo. (LP: #1561271)
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it. (LP: #1561343)
  * Remove Breaks/Replaces of trusty golang packages (moves to golang-defaults).
  * Recommend golang-X.Y-race-detector-runtime rather than unversioned package.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 23 Mar 2016 20:10:13 +1300

golang-1.6 (1.6-0ubuntu1) xenial; urgency=medium

  * Build golang version-specific packages (LP: #1555856)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Drop "Build empty golang-go and golang-src packages on architectures without
      golang".
    - Remove man pages.
    - Do not suggest golang-golang-x-tools.
    - Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Mon, 07 Mar 2016 17:01:40 +1300

golang (2:1.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable (LP: #1551489).  Remaining changes:
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355).
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
    - Add d/patches/0001-s390x-port.patch from IBM's repo.
    - Updates for s390x support.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 01 Mar 2016 13:35:02 +1300

golang (2:1.6-1) unstable; urgency=medium

  * Update to 1.6 upstream release (thanks Hilko!)
    - change "ar" arguments to quiet spurious warnings while using gccgo
      (Closes: #807138)
    - skip multicast listen test (Closes: #814849)
    - skip userns tests when chrooted (Closes: #807303)
    - use correct ELF header for armhf binaries (Closes: #734357)
    - Update debian/rules clean for new location of generated file.

  [ Michael Hudson-Doyle ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS while building to skip tests
    (Closes: #807290)
  * Trim Build-Depends (Closes: #807299)
  * Fix several minor debian/copyright issues (Closes: #807304)
  * Remove inconsistently included race-built packages (Closes: #807294)

  [ Tianon Gravi ]
  * Add "-k" to "run.bash" invocation so that we do a full test run every time

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Feb 2016 16:10:32 -0800

golang (2:1.6-0ubuntu3) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2016 16:50:57 +0100

golang (2:1.6-0ubuntu1) xenial; urgency=medium

  * Go 1.6 release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 18:56:52 +0100

golang (2:1.6~rc2-0ubuntu1) xenial; urgency=medium

  * New upstream version. (LP: #1541660)
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 04 Feb 2016 14:06:36 +1300

golang (2:1.6~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Fri, 29 Jan 2016 10:22:32 +1300

golang (2:1.6~beta2-0ubuntu1) xenial; urgency=medium

  * New upstream version.
    - Update debian/rules clean to new location of generated file.
  * Dropped changes:
    - d/patches/armhf-elf-header.patch (fixed properly upstream).
    - d/patches/skip-userns-tests-when-chrooted.patch (included upstream).
  * Add:
    - d/patches/0001-s390x-port.patch
  * Updates for s390x support.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Sat, 16 Jan 2016 19:59:59 +1300

golang (2:1.5.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/armhf-elf-header.patch (see upstream bug
      https://github.com/golang/go/issues/7094)
    - debian/copyright: updated copyright file to fix some lintian warnings
      (see Debian bug #807304)
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355)
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455)
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
    - d/patches/skip-userns-tests-when-chrooted.patch (see Debian bug #807303)
    - Do not include race enabled packages in golang-go deb (see Debian bug
      #807294)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Jan 2016 14:04:35 -0800

golang (2:1.5.3-1) unstable; urgency=high

  * Update to 1.5.3 upstream release
    - Fix CVE-2015-8618: Carry propagation in Int.Exp Montgomery code in
      math/big library (Closes: #809168)
  * Add "Breaks" to properly complement our "Replaces" (Closes: #810595)

 -- Tianon Gravi <tianon@debian.org>  Thu, 14 Jan 2016 07:41:44 -0800

golang (2:1.5.2-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524165).  Remaining changes:
    - d/patches/armhf-elf-header.patch (see upstream bug
      https://github.com/golang/go/issues/7094)
    - debian/copyright: updated copyright file to fix some lintian warnings
      (see Debian bug #807304)
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355)
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455)
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
  * Dropped changes, included upstream:
    - d/patches/qemu-compat.patch
    - d/patches/support-new-relocations.patch
  * Add a patch to avoid build failures:
    - d/patches/skip-userns-tests-when-chrooted.patch (see Debian bug #807303)
  * Do not include race enabled packages in golang-go deb (see Debian bug
    #807294)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 07 Jan 2016 10:11:50 +1300

golang (2:1.5.2-1) unstable; urgency=medium

  * Update to 1.5.2 upstream release (Closes: #807136)

 -- Tianon Gravi <tianon@debian.org>  Tue, 05 Jan 2016 19:59:22 -0800

golang (2:1.5.1-4) unstable; urgency=medium

  * Add Conflicts to force newer golang-go.tools too (Closes: #803559)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Nov 2015 21:57:54 -0800

golang (2:1.5.1-3) unstable; urgency=medium

  * Remove architecture qualification on golang-go Build-Depend now that
    golang-go is available for more architectures.

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 07:40:38 -0700

golang (2:1.5.1-2) unstable; urgency=medium

  * Add Conflicts to force newer golang-golang-x-tools (Closes: #802945).

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Oct 2015 13:28:56 -0700

golang (2:1.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update to 1.5.1 upstream release (see notes from experimental uploads for
    what's changed).
  * Skip tests on architectures where the tests fail.

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 10:22:02 -0700

golang (2:1.5.1-0ubuntu4) xenial; urgency=medium

  * Add d/patches/support-new-relocations.patch to fix ftbfs on xenial.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Mon, 16 Nov 2015 09:43:57 +1300

golang (2:1.5.1-0ubuntu3) xenial; urgency=medium

  * Add d/patches/qemu-compat.patch (LP: #1501651)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Fri, 13 Nov 2015 10:26:17 +1300

golang (2:1.5.1-0ubuntu2) wily; urgency=medium

  * Recommends: golang-race-detector-runtime on amd64. (LP: #1506393)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 15 Oct 2015 22:35:25 +1300

golang (2:1.5.1-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 09 Sep 2015 21:11:47 +1200

golang (2:1.5-0ubuntu1) wily; urgency=medium

  * New upstream release.
    - Drop debian/patches/disable-duffzero-ppc64el.patch
  * Breaks/Replaces: older golang-go.tools (LP: 1486560)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Fri, 21 Aug 2015 11:48:02 +1200

golang (2:1.5~rc1-0ubuntu2) wily; urgency=medium

  * debian/control: Breaks/Replaces golang-go.tools, so as to permit proper
    upgrade.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 28 Aug 2015 09:26:01 -0400

golang (2:1.5~rc1-0ubuntu1) wily; urgency=low

  [ Tianon Gravi ]
  * Upload to experimental.
  * Update to 1.5rc1 upstream release.
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)

  [ Michael Hudson-Doyle ]
  * Update GO{HOST,}ARCH computation
  * Breaks/Replaces: older golang-golang-x-tools 
  * Two patches:
    - correct ELF header on armhf
    - disable duffzero on ppc64el

  [ Mathieu Trudel-Lapierre ]
  * debian/copyright: updated copyright file to fix some lintian warnings.
  * debian/source/lintian-overrides: silence some extra source-missing false
    positives.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 18 Aug 2015 16:05:37 +1200

golang (2:1.4.3-3) unstable; urgency=medium

  * Fix FTBFS for non-amd64 architectures due to handling of "-race".

 -- Tianon Gravi <tianon@debian.org>  Mon, 05 Oct 2015 02:04:07 -0700

golang (2:1.5.1-1~exp2) experimental; urgency=medium

  * Upload to experimental.
  * Add arch-qualifiers to "golang-go" build-depends to unblock the buildds
    (Closes: #800479); thanks Tim!

 -- Tianon Gravi <tianon@debian.org>  Wed, 30 Sep 2015 11:19:26 -0700

golang (2:1.4.3-2) unstable; urgency=medium

  * Update Recommends/Suggests, especially to add gcc, etc.
  * Refactor "debian/rules" to utilize debhelper more effectively, especially
    for arch vs indep building (mostly backported from the 1.5+ changes), which
    fixes the "arch:all" FTBFS.

 -- Tianon Gravi <tianon@debian.org>  Sun, 27 Sep 2015 22:06:07 -0700

golang (2:1.5.1-1~exp1) experimental; urgency=low

  * Upload to experimental.
  * Update to 1.5.1 upstream release (Closes: #796150).
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)
  * Remove patches that no longer apply.
  * Add more supported arches to "debian/rules" code for detecting
    appropriate GOARCH/GOHOSTARCH values; thanks mwhudson and tpot!
    (Closes: #799907)
  * Refactor "debian/rules" to utilize debhelper more effectively, especially
    for arch vs indep building.
  * Move "dpkg-architecture" to "GOOS"/"GOARCH" code into a simple shell script
    for easier maintenance.

 -- Tianon Gravi <tianon@debian.org>  Fri, 25 Sep 2015 14:36:53 -0700

golang (2:1.4.3-1) unstable; urgency=medium

  * New upstream version (https://golang.org/doc/devel/release.html#go1.4.minor)
    - includes previous CVE and non-CVE security fixes, especially
      TEMP-0000000-1C4729

 -- Tianon Gravi <tianon@debian.org>  Fri, 25 Sep 2015 00:02:31 -0700

golang (2:1.4.2-4) unstable; urgency=high

  * Apply backported CVE fixes (Closes: #795106).
    - CVE-2015-5739: Invalid headers are parsed as valid headers
    - CVE-2015-5740: RFC 7230 3.3.3 4 violation
    - CVE-2015-5741: other discoveries of security-relevant RFC 7230 violations

 -- Tianon Gravi <tianon@debian.org>  Mon, 14 Sep 2015 12:27:57 -0700

golang (2:1.4.2-3ubuntu2) wily; urgency=medium

  * Fix installation of fake golang-go package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 May 2015 12:54:55 +0200

golang (2:1.4.2-3ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build empty golang-go and golang-src packages on architectures
      without golang support, and depend on gccgo instead.
    - golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/copyright: Amendments for full compliance with copyright format.
  * Remove generated override files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 May 2015 15:05:11 +0200

golang (2:1.4.2-3) unstable; urgency=medium

  * Add missing "prerm" for our new alternatives (thanks piuparts).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 05 May 2015 17:38:37 -0600

golang (2:1.4.2-2) unstable; urgency=medium

  * Move "go" and "gofmt" into "/usr/lib/go" and use alternatives to provide
    appropriate symlinks (Closes: #779503, #782301).
  * Relax "golang-go.tools" relationship to Suggests (from Recommends).
  * Add "go get" VCS options to Suggests for golang-go (bzr, git, mercurial,
    subversion).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 05 May 2015 00:37:53 -0600

golang (2:1.4.2-1) unstable; urgency=medium

  * New upstream version
    (https://golang.org/doc/devel/release.html#go1.4.minor)

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 02 May 2015 10:06:34 -0600

golang (2:1.4.1-1~exp1) experimental; urgency=low

  * New upstream version (https://golang.org/doc/go1.4)
    - all editor support files have been removed from misc/ upstream upstream,
      so golang-mode, kate-syntax-go, and vim-syntax-go can no longer be
      provided; see https://github.com/golang/go/wiki/IDEsAndTextEditorPlugins
      for an upstream-maintained list of potential replacements

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 16 Jan 2015 00:52:10 -0500

golang (2:1.3.3-1ubuntu4) vivid; urgency=medium

  * Build empty golang-go and golang-src packages on architectures
    without golang support, and depend on gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Mar 2015 21:46:25 +0100

golang (2:1.3.3-1ubuntu3) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 14:08:51 +0100

golang (2:1.3.3-1ubuntu2) vivid; urgency=medium

  * Install gofmt as an alternative.
  * Update the update-alternatives dance.
  * golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
  * Bump the alternative priority to 100, see Debian #779503.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 13:29:34 +0100

golang (2:1.3.3-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1407409) Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 04 Jan 2015 12:18:38 +0100

golang (2:1.3.3-1) unstable; urgency=medium

  * New upstream version (https://code.google.com/p/go/source/list?name=go1.3.3)
    - time: removed from tests now obsolete assumption about Australian tz
      abbreviations
    - net: temporarily skip TestAcceptIgnoreSomeErrors
    - runtime: hide cgocallback_gofunc calling cgocallbackg from linker
    - runtime: fix GOTRACEBACK reading on Windows, Plan 9
    - nacltest.bash: unset GOROOT
    - cmd/5l, cmd/6l, cmd/8l: fix nacl binary corruption bug
  * Add Paul and myself as uploaders. Many, many thanks to Michael for his work
    so far on this package (and hopefully more to come).

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 12 Dec 2014 16:11:02 -0500

golang (2:1.3.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.
    - dropped patches (now upstream):
      - d/p/issue27650045_40001_50001.diff
      - d/p/issue28050043_60001_70001.diff
      - d/p/issue54790044_100001_110001.diff

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 18 Nov 2014 15:12:26 -0600

golang (2:1.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 26 Sep 2014 23:21:45 +0200

golang (2:1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 13 Aug 2014 09:15:58 +0200

golang (2:1.3-4) unstable; urgency=medium

  [ Tianon Gravi ]
  * update debian/watch for upstream's latest move (Closes: #756415)
  * backport archive/tar patch to fix PAX headers (Closes: #756416)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 02 Aug 2014 21:02:24 +0200

golang (2:1.3-3) unstable; urgency=medium

  * don’t depend on emacs23, depend on emacs instead (Closes: #754013)
  * install include/ in golang-src, VERSION in golang-go (Closes: #693186)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 07 Jul 2014 08:30:50 +0200

golang (2:1.3-2) unstable; urgency=medium

  * Add /usr/lib/go/test symlink
  * Build with GO386=387 to favor the 387 floating point unit over sse2
    instructions (Closes: #753160)
  * Add debian/patches/0001-backport-delete-whole-line.patch to fix a
    deprecation warning about flet in the emacs part of golang-mode
    (Closes: #753607)
  * Migrate to emacsen >2 (Closes: #753607)
  * Backport two patches to improve archive/tar performance (for docker):
    debian/patches/0002-archive-tar-reuse-temporary-buffer-in-writeHeader.patch
    debian/patches/0003-archive-tar-reuse-temporary-buffer-in-readHeader.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 23:33:46 +0200

golang (2:1.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches merged upstream:
    - debian/patches/add-tar-xattr-support.patch
    - debian/patches/add-tar-xattr-support.patch
  * Fix debian/watch (Thanks Tianon) (Closes: #748290)
  * Remove dangling symlink /usr/lib/go/lib/godoc (Closes: #747968)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 19 Jun 2014 09:23:36 +0200

golang (2:1.2.1-2) unstable; urgency=low

  * Re-apply debian/patches/add-tar-xattr-support.patch which got lost when
    uploading 1.2.1-1; sorry about that.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 08 Mar 2014 20:01:12 +0100

golang (2:1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Mar 2014 17:40:57 +0100

golang (2:1.2-3) unstable; urgency=low

  * add debian/patches/add-tar-xattr-support.patch to have xattr support in
    tar (cherry-picked from upstream) (Thanks proppy) (Closes: #739586)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 24 Feb 2014 19:34:16 +0100

golang (2:1.2-2) unstable; urgency=low

  * add patches/add-src-pkg-debug-elf-testdata-hello.patch to provide source
    for the testdata/ ELF binaries (Closes: #716853)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 31 Dec 2013 18:28:29 +0100

golang (2:1.2-1) unstable; urgency=low

  * New upstream release.
  * drop patches/archive-tar-fix-links-and-pax.patch, it is merged upstream
  * godoc(1) is now in the Debian package golang-go.tools, it was moved into a
    separate repository by upstream.
  * move patches/godoc-symlinks.diff to golang-go.tools

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 23:57:24 +0100

golang (2:1.1.2-3) unstable; urgency=low

  * cherry-pick upstream commit: archive-tar-fix-links-and-pax.patch
    (Closes: #730566)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 26 Nov 2013 18:59:27 +0100

golang (2:1.1.2-2) unstable; urgency=low

  * Build golang-go-linux-* for each architecture (Thanks James Page)
    (Closes: #719611)
  * Update lintian-overrides to override statically-linked-binary and
    unstripped-binary-or-object for all of golang-go

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Aug 2013 08:13:40 +0200

golang (2:1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Relicense debian/ under the Go license to match upstream. All copyright
    holders agreed to this. (Closes: #716907)
  * golang-mode: don’t install for a number of emacs versions which are not
    supported upstream (Thanks Kevin Ryde) (Closes: #702511, #717521)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 13 Aug 2013 13:47:58 +0200

golang (2:1.1.1-4) unstable; urgency=low

  * Disable stripping, it breaks go binaries on some architectures. This drops
    the golang-dbg package which would be empty now. (Thanks Robie Basak)
    (Closes: #717172)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 17 Jul 2013 19:15:18 +0200

golang (2:1.1.1-3) unstable; urgency=low

  * Ship */runtime/cgo.a in golang-go to ensure it is present. It can only be
    used on the native architecture anyway (cannot be used when
    cross-compiling), so having it in golang-go-$GOOS-$GOARCH is not
    necessary. Even worse, since these packages are arch: all, they will be
    built precisely once, and only the runtime/cgo.a for the buildd’s native
    arch will be present. (Closes: #715025)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 11 Jul 2013 20:25:52 +0200

golang (2:1.1.1-2) unstable; urgency=low

  [ James Page ]
  * Ensure smooth upgrade path from << 2:1.1-2 (Closes: #714838)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 03 Jul 2013 18:05:58 +0200

golang (2:1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1

 -- Ingo Oeser <nightlyone@googlemail.com>  Fri, 14 Jun 2013 23:25:44 +0200

golang (2:1.1-2) unstable; urgency=low

  [ Ondřej Surý ]
  * Promote Michael to Maintainer

  [ Michael Stapelberg ]
  * Build golang-go-$GOOS-$GOARCH packages for cross-compiling (Closes: #710090)
  * Build race detector on linux/amd64 (only supported arch) (Closes: #710691)
  * Switch compression to xz (50% smaller binaries)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Jun 2013 23:18:09 +0200

golang (2:1.1-1) unstable; urgency=low

  * New upstream release: Go 1.1!
  * Remove the long obsolete goinstall debconf question and config file.
    goinstall does not exist anymore since a long time.
    This also obsoletes the need for any translations
    (Closes: #685923, #692478)
  * Emacs go-mode auto-mode-alist entry was fixed upstream (Closes: #670371)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 14 May 2013 19:36:04 +0200

golang (2:1.1~hg20130405-1) experimental; urgency=low

  * Provide a new hg tip snapshot. This includes what was recently released as
    Go 1.1 beta.

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 05 Apr 2013 18:24:36 +0200

golang (2:1.1~hg20130323-1) experimental; urgency=low

  * Provide a new hg tip snapshot.
  * Add debian/watch (Closes: #699698)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 23 Mar 2013 11:31:26 +0100

golang (2:1.1~hg20130304-2) experimental; urgency=low

  * Fix FTBFS of binary-arch only builds (as performed by buildds)
    caused by 'rm' not finding jquery.js in golang-doc
    (Thanks Peter Green)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 05 Mar 2013 00:49:27 +0100

golang (2:1.1~hg20130304-1) experimental; urgency=low

  * Provide a hg tip snapshot (2013-03-04) in Debian experimental.
    Current hg tip is a good approximation to Go 1.1 and should get
    some testing within Debian in order to package Go 1.1 well when
    it is released. Thanks to Andrew Gerrand.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 04 Mar 2013 21:28:58 +0100

golang (2:1.0.2-2) unstable; urgency=low

  * Add myself to uploaders, as discussed in #683421.
  * cherry-pick r820ffde8c396 (net/http: non-keepalive connections close
    successfully) (Closes: #683421)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 02 Aug 2012 14:25:58 +0200

golang (2:1.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload. (as discussed with Ondřej in #679692)
  * Fix godoc-symlinks.diff (godoc didn’t find docs) (Closes: #679692)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 20 Jul 2012 17:59:38 +0200

golang (2:1.0.2-1) unstable; urgency=low

  [ Ondřej Surý ]
  * Imported Upstream version 1.0.2
  * Update Vcs fields to reflect new git repository location
  * Kill get-orig-source, since 1.0.0, the tarballs can be downloaded from
    webpage

  [ Michael Stapelberg ]
  * golang-mode: use debian-pkg-add-load-path-item (Closes: #664802)
  * add manpages (Closes: #632964)
  * Use updated pt.po from Pedro Ribeiro (Closes: #674958)

 -- Ondřej Surý <ondrej@sury.org>  Thu, 28 Jun 2012 12:14:15 +0200

golang (2:1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
  * Apply godoc patch to display package list correctly (Closes: #669354)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 02 May 2012 15:44:59 +0200

golang (2:1-6) unstable; urgency=low

  * Merge upstream patch to fix homedir issue
    (http://code.google.com/p/go/source/detail?r=709120aecee0)
  * Disable GNU/KFreeBSD build (Closes: #668794)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Apr 2012 09:53:30 +0200

golang (2:1-5) unstable; urgency=low

  * Rewrite test conditions to make them more readable
    (and fix the debian/rules to really not check on armel+kfreebsd)
  * Patch upstream test to not fail on missing home directory

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 Apr 2012 12:35:53 +0200

golang (2:1-4) unstable; urgency=low

  * Disable tests on Debian GNU/KFreeBSD, they just hang now (Closes: #668794)
  * Disable tests on armel, but the invalid instruction needs fixing in
    upstream
  * Create fake home directory to pass the os/user test

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 Apr 2012 10:49:09 +0200

golang (2:1-3) unstable; urgency=high

  * Use VERSION provided by upstream for packaging purposes
  * Run tests as a part of a build process
  * Install full src tree (except pkg/debug) because go command depend
    on sources available
  * Install sources without testdata and *_test.go
  * Remove circular dependency golang-go->golang-doc->golang-go
  * Make sure that timestamp on installed binaries and libraries is same
    because go build/install recompiles everything if the go binary has
    more recent timestamp than libraries (Closes: #668235)
    + Need to update timestamps at postinst time because already created
      directories can have time in the past
  * Fix couple of lintian errors and warnings

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Apr 2012 23:21:47 +0200

golang (2:1-2) unstable; urgency=low

  * Remove preserving of old -tools settings, there are too many options
    now anyway (Closes: #666007)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Apr 2012 16:52:13 +0200

golang (2:1-1) unstable; urgency=low

  * New major upstream release Go 1 (Closes: #666942)
  * Bumb epoch to 2, since 1 < 60 < 2011 (I wonder if next version will be 0 :)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #663181)
  * [Debconf translation updates]
    + Pick existing translations from golang-weekly and do appropriate
      sed magic to fit golang templates. (Closes: #666884, #666880, #666881)
    + Dutch; (Jeroen Schot).  (Closes: #664598)
    + Czech (Michal Simunek).  (Closes: #665385)
    + Spanish; (Camaleón).  (Closes: #666177)
    + Danish (Joe Hansen).  (Closes: #666526)
  
 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Apr 2012 16:04:17 +0200

golang (1:60.3-2) unstable; urgency=low

  * debconf-gettextize package templates

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Feb 2012 22:01:10 +0100

golang (1:60.3-1) unstable; urgency=low

  * Imported Upstream version 60.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2011 08:46:18 +0100

golang (1:60.2-1) unstable; urgency=low

  * Imported Upstream version 60.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Oct 2011 08:57:00 +0200

golang (1:60.1-1) unstable; urgency=low

  * Imported Upstream version 60.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Sep 2011 10:18:12 +0200

golang (1:60-1) unstable; urgency=low

  * Imported Upstream version 60
  * Save upstream VERSION to the archive
  * Use GOVERSION as generated by src/version.bash on hg archive time
  * Add support for goinstall dashboard debconf question in the Debian
    packaging
  * Read goinstall dashboard option from debian configuration file
  * Remove 005-goinstall_dont_call_home_by_default.patch; replaced by
    configuration option
  * Fix directory name for upstream archive checkout

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Sep 2011 13:13:59 +0200

golang (1:59-1) unstable; urgency=low

  * Imported Upstream version 59
  * Refresh patches to a new release
  * Fix FTBFS on ARM (Closes: #634270)
  * Update version.bash to work with Debian packaging and not hg
    repository

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Aug 2011 17:04:59 +0200

golang (1:58.1-2) unstable; urgency=low

  * Install golang-doc package by default (Recommends from golang-tools,
    Depends from golang)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Jul 2011 09:13:43 +0200

golang (1:58.1-1) unstable; urgency=low

  * Imported Upstream version 58.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2011 08:39:04 +0200

golang (1:58-1) unstable; urgency=low

  * Imported Upstream version 58
    + Add NEWS file with upstream API changes
  * Remove patch to not update standard package, fixed in upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jun 2011 15:36:35 +0200

golang (1:57.2-1) unstable; urgency=low

  * Imported Upstream version 57.2
  * More spelling fixes (Closes: #630660)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Jun 2011 11:10:58 +0200

golang (1:57.1-4) unstable; urgency=low

  * Description update to have proper articles and capitalization
    (Closes: #630189)
  * Add extended description about Go being experimental and that the
    languager can change between releases

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 21:38:11 +0200

golang (1:57.1-3) unstable; urgency=low

  * Fix "the Google's Go implementation" in extended description
    (Closes: #627814)
  * Update Vcs-* links
  * Install vim ftplugin files into correct directory (Closes: #629844)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 10:10:41 +0200

golang (1:57.1-2) unstable; urgency=low

  * Bump standards version to 3.9.2
  * Capitalize Kate (Closes: #627036)
  * Import slightly modified patch to be more clear about $GOPATH
    installs for non-root users
  * Remove don't install deps patch from goinstall; deprecated by
    $GOPATH installs

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 11:07:11 +0200

golang (1:57.1-1) unstable; urgency=low

  * Add support for dot-minor releases
  * Imported Upstream version 57.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 May 2011 11:45:53 +0200

golang (1:57-3) unstable; urgency=low

  [ Florian Weimer ]
  * golang-tools: install gofix binary

  [ Ondřej Surý ]
  * Add lintian-overrides for gofix binary

 -- Ondřej Surý <ondrej@debian.org>  Sat, 07 May 2011 20:41:58 +0200

golang (1:57-2) unstable; urgency=low

  * Remove weekly code from debian/rules
  * Add golang meta-package
  * Don't create tool chain symlinks twice
  * Make debian/rules more generic for simpler sync between weekly
    and release branches

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 16:48:24 +0200

golang (1:57-1) unstable; urgency=low

  * Imported Upstream version r57
  * Bumped epoch version to 1, to convert from date based versions
    to release number based version
  * Allow release to migrate to testing (Closes: #624408)
  * Add kate and vim syntax highlighting (Closes: #624544)
  * Add -dbg package with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 01:20:07 +0200

golang (2011.04.27-2) unstable; urgency=low

  * Fix yet another build failure on kfreebsd (use linux userspace)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2011 16:22:47 +0200

golang (2011.04.27-1) unstable; urgency=low

  * Imported Upstream version 2011.04.27
  * Update debian/rules to allow pulling weekly upstream releases
  * Don't remove RUNPATH from binaries; fixed upstream (golang#1527)
  * Set GOHOSTOS and GOHOSTARCH to match dpkg-architecture variables
  * Add support for kfreebsd-i386, kfreebsd-amd64, armel and armhf
    architectures
    + 006-fix_kfreebsd_build.patch:
      - Add GNU/KFreeBSD support by replacing all uname calls by $(GOOS)
    + 007-use_native_dynamic_linker_on_kfreebsd.patch:
      - Use native kfreebsd dynamic linker (/lib/ld-*.so.1)
  * Add information about available architectures (Closes: #623877)
  * Don't strip gotest
  * Add Depends: golang-go to golang-tools
  * Add better support for armhf

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2011 16:14:39 +0200

golang (2011.04.13-1) unstable; urgency=low

  [ Florian Weimer ]
  * Delete bin directory in clean target
  * Enable parallel build
  * golang-src: install source files directly
  * Use proper symlink targets for architecture-independent toolchain
    names
  * Emacs mode: indent keys in struct literals properly

  [ Ondřej Surý ]
  * Imported Upstream weekly version 2011.04.13
  * Update patches to new weekly release
  * Add lintian-override for gotest binary

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Apr 2011 09:59:28 +0200

golang (2011.03.07.1-1) unstable; urgency=low

  * Imported Upstream version 2011.03.07.1
  * Install to /usr/lib/go
  * Remove xkcd strip to get rid of CC-NC-BY
  * Update golang-src.install to new upstream
  * Remove 002-use_GOROOT_FINAL_in_generated_binaries.patch; merged
    upstream
  * Make all .go files no-executable
  * Update lintian-overrides to include both types of syntax

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 17:36:48 +0200

golang (2011.02.15-2) unstable; urgency=low

  [ Ondřej Surý ]
  * Add ${misc:Depends} to golang-mode to shutup lintian
  * Rehaul build system and add golang-src package with .go source files
  * goinstall: do not automatically install prerequisities
  * goinstall: don't report to dashboard by default
  * Add a README.Debian about local modifications to goinstall
  * Add warning about local modifications also directly to goinstall command
  
  [ Florian Weimer ]
  * Fix syntax error in 004-
    dont_reinstall_dependencies_in_goinstall.patch

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Feb 2011 16:02:09 +0100

golang (2011.02.15-1) unstable; urgency=low

  [ Obey Arthur Liu ]
  * Added pkg-google git repo to control file

  [ Florian Weimer ]
  * Build golang-mode package

  [ Ondřej Surý ]
  * Imported Upstream version 2011.02.15
  * Don't compress godoc documentation
  * Correctly use $GOROOT_FINAL in the build chain
  * Remove RPATH/RUNPATH from go binaries

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Feb 2011 11:39:10 +0100

golang (2011.02.01.1-1) unstable; urgency=low

  [ Ivan Wong ]
  * Initial release (Closes: #574371)

  [ Jonathan Nieder ]
  * Fill out copyright file
  * Rewrite debian/rules using dh driver
  * debian: fix get-orig-source rule
  * debian: do not install extra files on repeated build
  * debian: fix reversed ‘if’
  * debian: do not leave around stale debian/env.sh+ file
  * debian: Build-Depends on awk instead of gawk
  * debian: add run-time dependency on perl
  * debian: add build-time dependency on perl
  * debian: fix setting of GOARM on arm
  * debian: do not compress files in web page
  * debian: install favicon

  [ Ondřej Surý ]
  * Make myself a maintainer
  * Add patch to allow IPv4 on IPv6 sockets (Courtesy of Florian Weimer)
  * Use GOROOT_FINAL and change GOBIN to /usr/bin
  * Get rid of env.sh and wrappers
  * Add support for building in i386 pbuilder on amd64 architecture
  * Rename source package to golang to match upstream repository name
  * Add golang-doc package
  * Split package into compiler, docs and tools
  * Don't install quietgcc and hgpatch
  * Don't generate fake gomake
  * Update golang-doc package
  * Export GOHOSTARCH and GOHOSTOS
  * Disable build time checks
  * Fail on missed installed files
  * Revert s{tmp{golang-go{ change in DESTDIR
  * Relicence debian/ files from versionless GPL to GPL-3
  * Move golang-doc to doc section
  * Add more lintian overrides for Go binaries
  * Install all 6,8,5 variants of commands
  * Install golang-* symlinks for 6,8,5* commands
  * Don't strip govet as well
  * Remove ${shlibs:Depends} where it doesn't belong
  * Move more html files to golang-doc package
  * Remove codereview directory - some python code to deal with mercurial

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Feb 2011 17:42:39 +0100
